.loadingspinner {
	pointer-events: none;
	width: 1rem;
	height: 1rem;
	border: 0.2rem solid transparent;
	border-color: #ddd;
	border-top-color: rgb(59 130 246 / 0.5);
	border-radius: 50%;
	animation: loadingspin 1s linear infinite;
}

@keyframes loadingspin {
	100% {
			transform: rotate(360deg)
	}
}